@echo off

rem -----------------------------------------------------------------------
rem  Windows cmd.exe environment setup script for Geant4 11.1.2
rem 
rem  This script will configure your environment so that any Geant4 supplied
rem  tools, libraries and data are available in your PATH, library paths etc.
rem  Data libraries will only be setup if they were installed as part of the
rem  Geant4 installation.
rem 
rem  Source this script to perform the setup.
rem 
rem  This script is autogenerated by CMake DO NOT EDIT
rem 

rem -----------------------------------------------------------------------
rem  Locate directory of self
rem 
set geant4_envbindir=

rem Self locate script when sourced
for /F %%i in ("%0") do set BINDIR=%%~dpi
set "BINDIR=%BINDIR:~0,-1%"
set "geant4_envbindir=%BINDIR%"
rem unset temparary variable
set BINDIR=


rem -----------------------------------------------------------------------
rem  Setup Geant4 binary and library paths...
rem 

set "PATH=%geant4_envbindir%;%PATH%"



rem -----------------------------------------------------------------------
rem  Setup Third-party binary and library paths...
rem  - CLHEP
rem # - Builtin CLHEP used

rem  - XercesC
rem # GDML SUPPORT NOT AVAILABLE

rem -----------------------------------------------------------------------
rem  Resource file paths
rem  - Datasets
set "GEANT4_DATA_DIR=%geant4_envbindir%\..\share\Geant4\data"
FOR /F %%i IN ( "%GEANT4_DATA_DIR%" ) DO set "GEANT4_DATA_DIR=%%~fi"


rem - Variables for individual datasets
rem Uncomment the line and edit the path to the dataset if installed in not standard location.

rem set "G4NEUTRONHPDATA=%GEANT4_DATA_DIR%\G4NDL4.7"
rem set "G4LEDATA=%GEANT4_DATA_DIR%\G4EMLOW8.2"
rem set "G4LEVELGAMMADATA=%GEANT4_DATA_DIR%\PhotonEvaporation5.7"
rem set "G4RADIOACTIVEDATA=%GEANT4_DATA_DIR%\RadioactiveDecay5.6"
rem set "G4PARTICLEXSDATA=%GEANT4_DATA_DIR%\G4PARTICLEXS4.0"
rem set "G4PIIDATA=%GEANT4_DATA_DIR%\G4PII1.3"
rem set "G4REALSURFACEDATA=%GEANT4_DATA_DIR%\RealSurface2.2"
rem set "G4SAIDXSDATA=%GEANT4_DATA_DIR%\G4SAIDDATA2.0"
rem set "G4ABLADATA=%GEANT4_DATA_DIR%\G4ABLA3.1"
rem set "G4INCLDATA=%GEANT4_DATA_DIR%\G4INCL1.0"
rem set "G4ENSDFSTATEDATA=%GEANT4_DATA_DIR%\G4ENSDFSTATE2.3"


rem  - Fonts for Freetype
rem # FREETYPE SUPPORT NOT AVAILABLE

rem ----------------------------------------------------------------------

rem unset local variables
set geant4_envbindir=

